package com.mcwl.memberCenter.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Objects;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mem_member")
public class Member extends BaseEntity {

    @TableId
    private Long id;

    // 会员类型
    private String memberType;

    // 会员名称
    private String memberName;

    // 会员价格
    private Double unitPrice;

    // 会员原价
    private Double originalPrice;

    // 会员积分
    private Integer points;

    // 订阅周期(天)
    private Integer subscriptionPeriod;

    // 删除标志（0代表存在 2代表删除）
    private String delFlag;

    // 备注
    private String remark;
}
