package com.mcwl.resource.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mcwl.resource.domain.MallProduct;
import com.mcwl.resource.mapper.MallProductMapper;
import com.mcwl.resource.service.MallProductService;
import kotlin.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.resource.service.impl
 * @Filename：MallProductServiceImpl
 * @Description TODO
 * @Date：2024/12/30 18:22
 */
@Service
public class MallProductServiceImpl extends ServiceImpl<MallProductMapper,MallProduct> implements MallProductService {



    @Autowired
    private MallProductMapper postMapper;

    @Override
    public List<MallProduct> selectMallProductRuleInfoList(MallProduct mallProduct) {
        QueryWrapper<MallProduct> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(MallProduct::getProductName, mallProduct.getProductName());
        queryWrapper.lambda().eq(MallProduct::getName, mallProduct.getName());
        queryWrapper.lambda().eq(MallProduct::getAmount, mallProduct.getAmount());
        MallProduct mallProducts = postMapper.selectOne(queryWrapper);
        return (List<MallProduct>) mallProducts;
    }


}
